/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cbullet class


*******************************************************************************
******************************************************************************/


#include <nds.h>

#include "Csprite.h"
#include "Cobject.h"


#ifndef Cbullet__H
#define Cbullet__H


class Cbullet : public Cobject
{
	public:
	
	Cbullet();
	inline void update();
	
	s32			angle;		// 0-32767
	s32			radius;		// FP 1.19.12
	
};


inline void Cbullet::update()
{

	// copy homing pos to oam compatible sprite struct >> 12
	sprites[frame].x = x >> 12;
	sprites[frame].y = y >> 12;
		
	update_oam();

}

#endif
