/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cenemy class


*******************************************************************************
******************************************************************************/



#include <nds.h>

#include "cearn_atan.h"
#include "Cspline.h"
#include "Csprite.h"
#include "Cobject.h"
#include "Cenemy.h"


/******************************************************************************


******************************************************************************/
void Cenemy::animate()
{

	// animate 
	if ( anim_counter >= anim_delay)
	{
		frame++;
		if ( frame >= num_frames)
			frame = 0;
		
		anim_counter = -1;
	}

	// inc counter
	anim_counter++;
}

/******************************************************************************


******************************************************************************/
void Cenemy::init_spline(u16 maxpoints)
{
	
	points.init_coords(maxpoints);
	
	
	// randomize for now
	for (int i=0; i<points.max_index; i++)
	{
		points.p_coords[i].x = rand() % 256;
		points.p_coords[i].y = rand() % 192;
	}
	

	points.speed = 16 + rand() % 32;
	points.tval = 0;
	
}

/******************************************************************************


******************************************************************************/
void Cenemy::update()
{

	animate();


	
	Tcoord p; 
	points.update();
	
	p.x = points.x >> 12;
	p.y = points.y >> 12; 

	x = p.x;
	y = p.y;

	//if vram type
	if (gfx_location==E_GFX_VRAM)
	{
		sprites[frame].x = p.x - 8;
		sprites[frame].y = p.y - 8; 
	}
	else	// one instance
	{
		sprites->x = p.x - 8;
		sprites->y = p.y - 8; 
	}
	
}
