/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cshot class


*******************************************************************************
******************************************************************************/


#include <nds.h>

#include "Csprite.h"
#include "Cobject.h"



#ifndef Cshot__H
#define Cshot__H

enum E_shot_ID
{
	E_SHOT_NORMAL = 0,
	E_SHOT_WAVE
};

class Cshot : public Cobject
{
	public:
	
	Cshot();
	inline void update();
	
	s32			angle;		// 0-32767
	s32			radius;		// FP 1.19.12
	E_shot_ID 	shot_ID;
	
};

inline void Cshot::update()
{

	sprites[frame].x = x;
	sprites[frame].y = y;

	update_oam();
	
}	

#endif
