/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Csprite class


*******************************************************************************
******************************************************************************/

#include <nds.h>

#ifndef Csprite__H
#define Csprite__H

class Csprite 
{
	public:
	
	
	Csprite();
	~Csprite();
	
	void create(OamState *_oam,s32 _width, s32 _height, SpriteSize _size, SpriteColorFormat _format, bool _increase_id,bool _reset_id_counter = false);
	void destroy();
	void update_oam();

	
	static u16 			num_sprites;

	OamState 			*oam;
	
	u8 					oamID;
	
	s16 				x;
	s16 				y;


	u8 					width;
	u8 					height;
	
	SpriteColorFormat 	format;
	SpriteSize 			size;
	
	bool 				active;
	
	u16 				*gfx;
	
	
};


#endif // Csprite__H


