/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cviper class


*******************************************************************************
******************************************************************************/

#include <nds.h>

#include "Csprite.h"
#include "Cobject.h"
#include "Cshot.h"
#include "Coption.h"
#include "Cenemy.h"


#ifndef Cviper__H
#define Cviper__H


#define  MAX_VIPER_BULLETS 16
#define  MAX_VIPER_SHOT_DELAY 8
#define  VIPER_SHOT_SPEED 8
#define  MAX_OPTIONS 2
#define  FP_PI 16384 


enum E_viper_direction
{
	E_NEUTRAL = 0,
	E_UP,
	E_DOWN,
	E_LEFT,
	E_RIGHT
};

class Cviper : public Cobject
{
	public:
	
	Cviper();
	void start_shots(s32 start_x, s32 start_y);
	void start_wave_shots(s32 start_x, s32 start_y);
	void do_shots();
	void control(Cenemy &target);
	void update();
	void initialize(u8 *viper_gfx, u8 *shot_gfx, u8 *option_gfx, u8 *option_shot_gfx);
	
	
	u8 					shot_delay;
	u8 					option_shot_delay;
	
	E_viper_direction	direction;
	
	Cshot				shots[MAX_VIPER_BULLETS];
	
	Coption				options[MAX_OPTIONS];
};


#endif

